Octet

What are the main EVPN route types, and what is each one for?

Show the answer

Say this first

Type 1, Ethernet auto-discovery, and type 4, Ethernet segment, support multihoming. Type 2, MAC/IP advertisement, carries host MACs and optionally their IPs. Type 3, inclusive multicast Ethernet tag, says a VTEP is in a VNI and how to send it BUM traffic. Type 5, IP prefix, carries subnets and external routes. In a typical VXLAN fabric, types 2, 3 and 5 do most of the work.

Go deeper

TypeNameCarriesUsed for
1Ethernet auto-discoveryESI, per segment and per EVIFast mass withdraw, aliasing, split horizon
2MAC/IP advertisementMAC, optional IP, L2VNI, optional L3VNIBridging, host routes, ARP suppression
3Inclusive multicast Ethernet tagOriginating VTEP IP, VNI, replication typeBUM flood lists, VTEP discovery
4Ethernet segmentESI, originating VTEPFinding peers on a segment, DF election
5IP prefixPrefix, L3VNI, router MACSubnets, external and inter-site routes

Types 6 to 8 handle IGMP and MLD proxy for selective multicast.

What they look like on NX-OS

Output
[2]:[0]:[0]:[48]:[0050.56a1.0011]:[0]:[0.0.0.0]/216        MAC only
[2]:[0]:[0]:[48]:[0050.56a1.0011]:[32]:[10.10.10.11]/272   MAC and IP
[3]:[0]:[32]:[10.0.1.11]/88                                VTEP 10.0.1.11 is in this VNI
[5]:[0]:[0]:[24]:[10.10.20.0]/224                          prefix 10.10.20.0/24

In a type 2 string the fields are type, ESI, Ethernet tag, MAC length, MAC, IP length, IP.

Standards

RFC 7432 (EVPN base), RFC 8365 (EVPN with VXLAN), RFC 9135 (integrated routing and bridging) and RFC 9136 (type 5 prefixes).

Traps

  • Mixing up type 3 and type 5.
How did you do?